# Class ParsingErrorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.j3d.loaders.ParsingErrorException

All Implemented Interfaces:
  `Serializable`

public class ParsingErrorException extends RuntimeException
Exception used to indicate that the loader encountered a problem parsing the specified file.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParsingErrorException()`
`ParsingErrorException(String s)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParsingErrorException

public ParsingErrorException()

### ParsingErrorException

public ParsingErrorException(String s)